MCP Tools Reference: calendarmcp.googleapis.com

도구: list_calendars

이 사용자가 액세스할 수 있는 캘린더 (캘린더 목록)를 반환합니다. 이 도구를 사용하여 캘린더 식별 데이터 (예: '가족 캘린더')를 해당 calendar_id (이메일 식별자)로 확인합니다.

다음 샘플에서는 curl을 사용하여 list_calendars MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_calendars",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

ListCalendarsRequest

JSON 표현
{

  "pageSize": integer

  "pageToken": string
}
필드

통합 필드 _page_size.

_page_size는 다음 중 하나여야 합니다.

pageSize

integer

선택사항입니다. 페이지당 최대 결과 수입니다. 기본값은 100이고 최대값은 250입니다.

통합 필드 _page_token.

_page_token는 다음 중 하나여야 합니다.

pageToken

string

선택사항입니다. 반환할 결과 페이지를 지정하는 토큰입니다.

출력 스키마

ListCalendarsResponse

JSON 표현
{
  "calendars": [
    {
      object (CalendarListItem)
    }
  ],

  "nextPageToken": string
}
필드
calendars[]

object (CalendarListItem)

캘린더 목록입니다.

통합 필드 _next_page_token.

_next_page_token는 다음 중 하나여야 합니다.

nextPageToken

string

다음 페이지 토큰입니다. 다음 페이지가 없으면 생략됩니다.

CalendarListItem

JSON 표현
{
  "id": string,
  "summary": string,
  "description": string,
  "timeZone": string
}
필드
id

string

식별자. 캘린더의 이메일 주소입니다.

summary

string

출력 전용입니다. 특성이 포함될 수 있습니다

description

string

출력 전용입니다. 설명:

timeZone

string

출력 전용입니다. 시간대입니다.

도구 주석

파괴적 힌트: ❌ | 멱등성 힌트: ✅ | 읽기 전용 힌트: ✅ | 개방형 세계 힌트: ❌

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.readonly
  • https://www.googleapis.com/auth/calendar.calendarlist
  • https://www.googleapis.com/auth/calendar.calendarlist.readonly